Subject: [Softwires] Early MIB doctor review of draft-ietf-softwire-mesh-mib-04

From: Dave Thaler <[email-masked]>
Date: Fri, 11 Oct 2013 21:34:43 +0000

Benoit asked me to do an early MIB doctor review of this document.  My

full comments are in the marked up copy at

http://research.microsoft.com/~dthaler/draft-ietf-softwire-mesh-mib-04.pdf

(there’s also a .docx version if you replace the .pdf extension with .docx)

The doc is in a much better state than draft-ietf-softwire-dslite-mib is, and

so this was fairly easy to review (and my thanks to the authors for that).

Nevertheless, I did find a few issues, a short summary of which is:

1)      It does not yet meet all the requirements for MIBs in RFC 4181, mostly around

missing boilerplate

2)      The security considerations section needs (per RFC 4181) a brief discussion of

what objects, if any, might be considered sensitive.  For example, one might

argue the swmEncapsTable might reveal things about the internal network

topology.

3)      the smilint MIB checker reports several errors.  I’ve noted in my comments

how to fix them.  (I used http://www.ibr.cs.tu-bs.de/bin/smitools.cgi)

-Dave